Search Results for

Show / Hide Table of Contents

# Class TableEditor

##### Inheritance

System.Object
Scenario
TableEditor

##### Implements

System.IDisposable

##### Inherited Members

Scenario.Init(Toplevel, ColorScheme)
Scenario.GetName()
Scenario.GetDescription()
Scenario.GetCategories()
Scenario.ToString()
Scenario.Run()
Scenario.RequestStop()
Scenario.GetDerivedClasses<T>()
Scenario.Dispose(Boolean)
Scenario.Dispose()
Scenario.Top
Scenario.Win

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    [Scenario.ScenarioMetadata("TableEditor", "Implements data table editor using the TableView control.")]
    [Scenario.ScenarioCategory("TableView")]
    [Scenario.ScenarioCategory("Controls")]
    [Scenario.ScenarioCategory("Dialogs")]
    [Scenario.ScenarioCategory("Text and Formatting")]
    [Scenario.ScenarioCategory("Top Level Windows")]
    public class TableEditor : Scenario

### Constructors

#### TableEditor()

##### Declaration

    public TableEditor()

### Methods

#### BuildDemoDataTable(Int32, Int32)

##### Declaration

    public static DataTable BuildDemoDataTable(int cols, int rows)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | cols |
System.Int32 | rows |

##### Returns

Type | Description
--- | ---
System.Data.DataTable |

#### BuildSimpleDataTable(Int32, Int32)

##### Declaration

    public static DataTable BuildSimpleDataTable(int cols, int rows)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | cols |
System.Int32 | rows |

##### Returns

Type | Description
--- | ---
System.Data.DataTable |

#### Setup()

##### Declaration

    public override void Setup()

##### Overrides

Scenario.Setup()

### Implements

System.IDisposable